package com.engine.kq.timer;

import com.engine.kq.entity.TimeScopeEntity;
import com.google.common.collect.Lists;
import java.util.List;

/**
 * 加班的bean，主要是打卡+流程这种加班方式使用
 */
public class KQOvertimeCardBean {
  /**
   * 归属日期
   */
  private String belongDate;

  /**
   * 签到开始日期
   */
  private String signinDate;
  /**
   * 签到开始时间
   */
  private String signinTime;
  /**
   * 签到结束日期
   */
  private String signoutDate;
  /**
   * 签到结束时间
   */
  private String signoutTime;

  /**
   *是否有设置打卡归属
   */
  private String has_cut_point;

  public KQOvertimeCardBean() {
    this.belongDate = "";
    this.signinDate = "";
    this.signinTime = "";
    this.signoutDate = "";
    this.signoutTime = "";
    this.has_cut_point = "";
  }

  public String getSigninDate() {
    return signinDate;
  }

  public void setSigninDate(String signinDate) {
    this.signinDate = signinDate;
  }

  public String getSigninTime() {
    return signinTime;
  }

  public void setSigninTime(String signinTime) {
    this.signinTime = signinTime;
  }

  public String getSignoutDate() {
    return signoutDate;
  }

  public void setSignoutDate(String signoutDate) {
    this.signoutDate = signoutDate;
  }

  public String getSignoutTime() {
    return signoutTime;
  }

  public void setSignoutTime(String signoutTime) {
    this.signoutTime = signoutTime;
  }

  public String getBelongDate() {
    return belongDate;
  }

  public void setBelongDate(String belongDate) {
    this.belongDate = belongDate;
  }

  public String getHas_cut_point() {
    return has_cut_point;
  }

  public void setHas_cut_point(String has_cut_point) {
    this.has_cut_point = has_cut_point;
  }
}
